package com.usoftchina.uas.office.qywx.entity;

import java.util.Date;
import java.util.List;

/**
 * @author yingp
 * @date 2020/2/16
 */
public class Meeting {
    private Integer ma_id;
    private String ma_theme;
    private String ma_recorder;
    private String em_qywx;
    private Date ma_starttime;
    private Date ma_endtime;
    private String ma_remark;
    private String ma_mrcode;
    private String ma_scheduleid;
    private MeetingRoom room;
    private List<MeetingAttendee> attendees;

    public Integer getMa_id() {
        return ma_id;
    }

    public void setMa_id(Integer ma_id) {
        this.ma_id = ma_id;
    }

    public String getEm_qywx() {
        return em_qywx;
    }

    public void setEm_qywx(String em_qywx) {
        this.em_qywx = em_qywx;
    }

    public String getMa_theme() {
        return ma_theme;
    }

    public void setMa_theme(String ma_theme) {
        this.ma_theme = ma_theme;
    }

    public String getMa_mrcode() {
        return ma_mrcode;
    }

    public void setMa_mrcode(String ma_mrcode) {
        this.ma_mrcode = ma_mrcode;
    }

    public String getMa_recorder() {
        return ma_recorder;
    }

    public void setMa_recorder(String ma_recorder) {
        this.ma_recorder = ma_recorder;
    }

    public Date getMa_starttime() {
        return ma_starttime;
    }

    public void setMa_starttime(Date ma_starttime) {
        this.ma_starttime = ma_starttime;
    }

    public Date getMa_endtime() {
        return ma_endtime;
    }

    public void setMa_endtime(Date ma_endtime) {
        this.ma_endtime = ma_endtime;
    }

    public String getMa_scheduleid() {
        return ma_scheduleid;
    }

    public void setMa_scheduleid(String ma_scheduleid) {
        this.ma_scheduleid = ma_scheduleid;
    }

    public String getMa_remark() {
        return ma_remark;
    }

    public void setMa_remark(String ma_remark) {
        this.ma_remark = ma_remark;
    }

    public MeetingRoom getRoom() {
        return room;
    }

    public void setRoom(MeetingRoom room) {
        this.room = room;
    }

    public List<MeetingAttendee> getAttendees() {
        return attendees;
    }

    public void setAttendees(List<MeetingAttendee> attendees) {
        this.attendees = attendees;
    }

    public static class MeetingRoom {
        private String mr_site;
        private String mr_name;

        public String getMr_site() {
            return mr_site;
        }

        public void setMr_site(String mr_site) {
            this.mr_site = mr_site;
        }

        public String getMr_name() {
            return mr_name;
        }

        public void setMr_name(String mr_name) {
            this.mr_name = mr_name;
        }
    }

    public static class MeetingAttendee {
        private String md_emcode;
        private String md_participants;
        private String em_qywx;

        public String getMd_emcode() {
            return md_emcode;
        }

        public String getEm_qywx() {
            return em_qywx;
        }

        public void setEm_qywx(String em_qywx) {
            this.em_qywx = em_qywx;
        }

        public void setMd_emcode(String md_emcode) {
            this.md_emcode = md_emcode;
        }

        public String getMd_participants() {
            return md_participants;
        }

        public void setMd_participants(String md_participants) {
            this.md_participants = md_participants;
        }
    }
}
